Package org.drinkless.tdlib

# Class TdApi.BusinessBotRights

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessBotRights

Enclosing class:
  `TdApi`

public static class TdApi.BusinessBotRights extends TdApi.Object
Describes rights of a business bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canChangeGiftSettings`
  True, if the bot can change gift receiving settings of the business account.
  `boolean`
  `canDeleteAllMessages`
  True, if the bot can delete any message.
  `boolean`
  `canDeleteSentMessages`
  True, if the bot can delete sent messages.
  `boolean`
  `canEditBio`
  True, if the bot can edit bio of the business account.
  `boolean`
  `canEditName`
  True, if the bot can edit name of the business account.
  `boolean`
  `canEditProfilePhoto`
  True, if the bot can edit profile photo of the business account.
  `boolean`
  `canEditUsername`
  True, if the bot can edit username of the business account.
  `boolean`
  `canManageStories`
  True, if the bot can post, edit and delete stories.
  `boolean`
  `canReadMessages`
  True, if the bot can mark incoming private messages as read.
  `boolean`
  `canReply`
  True, if the bot can send and edit messages in the private chats that had incoming messages in the last 24 hours.
  `boolean`
  `canSellGifts`
  True, if the bot can sell regular gifts received by the business account.
  `boolean`
  `canTransferAndUpgradeGifts`
  True, if the bot can transfer and upgrade gifts received by the business account.
  `boolean`
  `canTransferStars`
  True, if the bot can transfer Telegram Stars received by the business account to account of the bot, or use them to upgrade and transfer gifts.
  `boolean`
  `canViewGiftsAndStars`
  True, if the bot can view gifts and Telegram Star amount owned by the business account.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessBotRights()`
  Describes rights of a business bot.
  `BusinessBotRights(boolean canReply, boolean canReadMessages, boolean canDeleteSentMessages, boolean canDeleteAllMessages, boolean canEditName, boolean canEditBio, boolean canEditProfilePhoto, boolean canEditUsername, boolean canViewGiftsAndStars, boolean canSellGifts, boolean canChangeGiftSettings, boolean canTransferAndUpgradeGifts, boolean canTransferStars, boolean canManageStories)`
  Describes rights of a business bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canReply

    public boolean canReply
    True, if the bot can send and edit messages in the private chats that had incoming messages in the last 24 hours.

  - ### canReadMessages

    public boolean canReadMessages
    True, if the bot can mark incoming private messages as read.

  - ### canDeleteSentMessages

    public boolean canDeleteSentMessages
    True, if the bot can delete sent messages.

  - ### canDeleteAllMessages

    public boolean canDeleteAllMessages
    True, if the bot can delete any message.

  - ### canEditName

    public boolean canEditName
    True, if the bot can edit name of the business account.

  - ### canEditBio

    public boolean canEditBio
    True, if the bot can edit bio of the business account.

  - ### canEditProfilePhoto

    public boolean canEditProfilePhoto
    True, if the bot can edit profile photo of the business account.

  - ### canEditUsername

    public boolean canEditUsername
    True, if the bot can edit username of the business account.

  - ### canViewGiftsAndStars

    public boolean canViewGiftsAndStars
    True, if the bot can view gifts and Telegram Star amount owned by the business account.

  - ### canSellGifts

    public boolean canSellGifts
    True, if the bot can sell regular gifts received by the business account.

  - ### canChangeGiftSettings

    public boolean canChangeGiftSettings
    True, if the bot can change gift receiving settings of the business account.

  - ### canTransferAndUpgradeGifts

    public boolean canTransferAndUpgradeGifts
    True, if the bot can transfer and upgrade gifts received by the business account.

  - ### canTransferStars

    public boolean canTransferStars
    True, if the bot can transfer Telegram Stars received by the business account to account of the bot, or use them to upgrade and transfer gifts.

  - ### canManageStories

    public boolean canManageStories
    True, if the bot can post, edit and delete stories.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessBotRights

    public BusinessBotRights()
    Describes rights of a business bot.

  - ### BusinessBotRights

    public BusinessBotRights(boolean canReply, boolean canReadMessages, boolean canDeleteSentMessages, boolean canDeleteAllMessages, boolean canEditName, boolean canEditBio, boolean canEditProfilePhoto, boolean canEditUsername, boolean canViewGiftsAndStars, boolean canSellGifts, boolean canChangeGiftSettings, boolean canTransferAndUpgradeGifts, boolean canTransferStars, boolean canManageStories)
    Describes rights of a business bot.
    Parameters:
      `canReply` - True, if the bot can send and edit messages in the private chats that had incoming messages in the last 24 hours.
      `canReadMessages` - True, if the bot can mark incoming private messages as read.
      `canDeleteSentMessages` - True, if the bot can delete sent messages.
      `canDeleteAllMessages` - True, if the bot can delete any message.
      `canEditName` - True, if the bot can edit name of the business account.
      `canEditBio` - True, if the bot can edit bio of the business account.
      `canEditProfilePhoto` - True, if the bot can edit profile photo of the business account.
      `canEditUsername` - True, if the bot can edit username of the business account.
      `canViewGiftsAndStars` - True, if the bot can view gifts and Telegram Star amount owned by the business account.
      `canSellGifts` - True, if the bot can sell regular gifts received by the business account.
      `canChangeGiftSettings` - True, if the bot can change gift receiving settings of the business account.
      `canTransferAndUpgradeGifts` - True, if the bot can transfer and upgrade gifts received by the business account.
      `canTransferStars` - True, if the bot can transfer Telegram Stars received by the business account to account of the bot, or use them to upgrade and transfer gifts.
      `canManageStories` - True, if the bot can post, edit and delete stories.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR